Why is arduino looking for a library in the wrong place

I'm getting the following errors

C:\Program Files (x86)\Arduino\libraries\RobotIRremote\IRremoteTools.cpp:5: error: 'TKD2' was not declared in this scope
C:\Program Files (x86)\Arduino\libraries\RobotIRremote\IRremoteTools.cpp:5: error: 'TKD2' was not declared in this scope

I upgraded from 1.0.6 IDE to 1.6 0.0 and all fell apart for pro trinket. So I uninstalled and went back to my original. Now it's looking for that IRremote library in a new place. I had it working before and after my upgrade. But I did notice that RobotIRremote was a library in the new Ide. But not in the older version.

Search the forum for "TKD2' was not declared in this scope".

It wouldn't report an error in C:\Program Files (x86)\Arduino\libraries\RobotIRremote\IRremoteTools.cpp unless it's actually found C:\Program Files (x86)\Arduino\libraries\RobotIRremote\IRremoteTools.cpp

I suspect you're misunderstanding the problem.